"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _utils = require("./utils");

var _utils2 = _interopRequireDefault(_utils);

exports["default"] = function (server) {
  var sockets = [];

  server.on("connection", function (socket) {
    function onData(data) {
      sockets.forEach(function (socket) {
        socket.write(data);
      });
      server.emit("osc-hub:data", data);
    }

    function onError(e) {
      server.emit("osc-hub:error", e);
    }

    function onClose() {
      _utils2["default"].removeIfExists(sockets, socket);
      server.emit("osc-hub:disconnect", socket);

      socket.removeListener("data", onData);
      socket.removeListener("close", onClose);
      socket.removeListener("error", onError);
    }

    socket.on("data", onData);
    socket.on("error", onError);
    socket.on("close", onClose);

    sockets.push(socket);

    server.emit("osc-hub:connect", socket);
  });

  return server;
};

module.exports = exports["default"];