"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
function createTypeError(message) {
  var opts = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  var e = new TypeError(message);

  Object.keys(opts).forEach(function (key) {
    e[key] = opts[key];
  });

  return e;
}

function prettify(msg) {
  function peel(msg) {
    if (msg.elements) {
      msg.elements = msg.elements.map(peel);
    }

    if (msg.args) {
      msg.args = msg.args.map(function (value) {
        return value.value;
      });
    }

    return msg;
  }

  return JSON.stringify(peel(msg));
}

function removeIfExists(array, target) {
  var index = array.indexOf(target);

  if (index === -1) {
    return false;
  }

  array.splice(index, 1);

  return true;
}

function toArray(object) {
  if (Array.isArray(object)) {
    return object;
  }
  if (typeof object === "undefined") {
    return [];
  }
  return [object];
}

exports["default"] = {
  createTypeError: createTypeError,
  prettify: prettify,
  removeIfExists: removeIfExists,
  toArray: toArray
};
module.exports = exports["default"];